#include "Rotation.h"

Rotation::Rotation(double angle, Axis axis, const Point& loc, const Vector& customAxis)
    : mAngle(angle),
      mAxis(axis),
      mPoint(loc),
      mCustomAxis(customAxis),
      mMatrix(3, 3)
{
    updateMatrix();
}

const Matrix& Rotation::getMatrix() const
{
    return mMatrix;
}

bool Rotation::isIdentity() const
{
    return mMatrix.isIdentity();
}

bool Rotation::isEqual(const Rotation& rotation) const
{
    return mMatrix == rotation.mMatrix;
}

void Rotation::updateMatrix()
{

}
